Cowdidocs

Batch get payees

Get multiple payees by their IDs for the current user. Maximum 100 IDs per request.

POST
/v1/user/payees/batch

Request Body

application/json

Request to fetch multiple payees by ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/user/payees/batch" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "6e0346a3-e54d-40e3-9779-4ba1e707e35b"    ]  }'
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "label": "string",      "display_name": "string",      "is_favorite": false,      "is_blocked": false,      "block_reasons": [        "UNWANTED_PAYMENTS"      ],      "block_details": "string",      "is_cowdi_user": false,      "cowdi_user_id": "3358b8ba-768f-4336-94f0-46ebcf93566d",      "cowdi_user_tag": "@johnd123456",      "accounts": [        {          "resource_id": "string",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "type": "SEND_MONEY",          "account_holder_name": "string",          "linked_user_id": "808bbbe6-53f8-43d8-b004-261579603132",          "linked_user_tag": "@johnd123456",          "mobile_number": "+254712345678",          "transaction_count": 15,          "last_used_at": "2019-08-24T14:15:22Z",          "verification_status": "VERIFIED",          "verified_at": "2019-08-24T14:15:22Z",          "verification": {            "resolved_name": "John Doe",            "account_valid": true,            "requires_confirmation": false,            "message": "string"          }        }      ],      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "resource_id": "string"    }  ]}
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}